#include <bits/stdc++.h>

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
    std::cerr.tie(0);

    int n, k;

    std::cin >> n >> k;

    int* niz = new int[n+1];
    int* mesto = new int[n+1];

    int x;
    for(int i=1;i<=n;++i){
        std::cin >> x;
        niz[i] = x;
        mesto[x]=i;
    }

    if(mesto[k]==n){
        std::cout << niz[1];
    }else{
        std::cout << niz[mesto[k]+1];
    }

    return 0;
}